- Qt 5.15
- Qt 3D
- QML Types
- LevelOfDetailSwitch QML Type
- Qt 5.15.18 Reference Documentation

# LevelOfDetailSwitch QML Type

Provides a way of enabling child entities based on distance or screen size. More...

Import Statement: | import Qt3D.Render 2.15
Since: | Qt 5.9
Instantiates: | QLevelOfDetailSwitch
Inherits: | Component3D

- List of all members, including inherited members

## Properties

- currentIndex : int

## Detailed Description

This component is assigned to an entity. When the entity changes distance relative to the camera, the LevelOfDetailSwitch will disable all the child entities except the one matching index currentIndex.

See also LevelOfDetail.

## Property Documentation

currentIndex : int

The index of the presently selected child entity.